View Issue Details

IDProjectCategoryLast Update
0023088AI War 2[All Projects] Crash/ExceptionJun 25, 2020 7:34 pm
ReporterNRSirLimboAssigned Tox4000Bughunter 
Severityminor 
Status assignedResolutionopen 
Product Version2.012 Populous 
Fixed in Version 
Summary0023088: XML Modding: Combinations of is_partial_record and copy_from
DescriptionThe following seems to be the situation right now:

is_partial_record in chain seems to work fine.
is_partial_recording an already copied_from unit is fine.
copy_from in chain seems to work fine, however if it is used twice or more after an unit had any kind of system (tachyon, tractor, weapon, etc) it will throw an error (20200331234355_1.jpg) that seems to have no effect.
copy_from an already is_partial_recorded unit does not work. It throws a different error and indeed does not work.

The test mod appended adds a number of test turrets to Home Command to test.
TagsNo tags attached.

Activities

NRSirLimbo

Mar 31, 2020 6:20 pm

reporter  

20200331234355_1.jpg (234,506 bytes)
20200331234355_1.jpg (234,506 bytes)

NRSirLimbo

Apr 1, 2020 3:24 pm

reporter   ~0056646

The screenshot that appears when an is_partial_recorded unit is tried to copy_from, and the refreshed version of the mod.

20200401211657_1.jpg (312,297 bytes)
UnnecessaryPopupTest.zip (1,950 bytes)

NRSirLimbo

Apr 13, 2020 9:24 am

reporter   ~0056801

UPDATE:

There actually IS a bug with all the copying from units that already were copies with changed systems.
While the popup shows itself regardless the actual effect seems to only occur when the unit copied from was already a vanilla game unit with changed system.

In this new version of the test mod it adds a Station-Keeping Devestator (which is a copy of the Siege Frigate with a modified weapon), and while it does add the unit requested the weapon is reverted to the very base weapon of the Siege Frigate.

UnnecessaryPopupTest_V2.zip (2,730 bytes)

x4000Bughunter

Apr 13, 2020 6:14 pm

administrator   ~0056829

Oh, dear. That's incredibly complicated. This is something I'd like to take care of, but there's a lot going on right now with other bugs and multiplayer. This will probably take a few hours to hunt down at the best case at some point.

NRSirLimbo

Apr 13, 2020 8:11 pm

reporter   ~0056830

Kinda was afraid of that...
Any ETA? Because I thought the popup was not really important I have already changed all the game files to how they should be if it worked, it'd take me a lot of work and copy&paste garbage to revert (and when it's fixed re-revert).

BadgerBadger

Apr 13, 2020 8:16 pm

manager   ~0056831

To my mind, modding support for more esoteric stuff (and this counts) is very low priority. If it were me I'd say "Not till after multiplayer"

x4000Bughunter

Apr 13, 2020 8:42 pm

administrator   ~0056832

Unfortunately, that's what I'm also thinking. I hate holding up mods, but multiplayer is one of those things that will get pushed out forever if I'm not careful.

NRSirLimbo

Apr 14, 2020 3:02 am

reporter   ~0056835

Well, I guess modding in copy&paste stuff will have to do for now.

Issue History

Date Modified Username Field Change
Mar 31, 2020 6:20 pm NRSirLimbo New Issue
Mar 31, 2020 6:20 pm NRSirLimbo File Added: 20200331234355_1.jpg
Mar 31, 2020 6:20 pm NRSirLimbo File Added: UnnecessaryPopupTest.zip
Apr 1, 2020 3:21 pm NRSirLimbo File Deleted: UnnecessaryPopupTest.zip
Apr 1, 2020 3:23 pm NRSirLimbo Summary XML Modding bug: Seemingly unnecessary Popup => XML Modding: Combinations of is_partial_record and copy_from
Apr 1, 2020 3:23 pm NRSirLimbo Description Updated View Revisions
Apr 1, 2020 3:24 pm NRSirLimbo File Added: 20200401211657_1.jpg
Apr 1, 2020 3:24 pm NRSirLimbo File Added: UnnecessaryPopupTest.zip
Apr 1, 2020 3:24 pm NRSirLimbo Note Added: 0056646
Apr 13, 2020 9:24 am NRSirLimbo File Added: UnnecessaryPopupTest_V2.zip
Apr 13, 2020 9:24 am NRSirLimbo Note Added: 0056801
Apr 13, 2020 6:14 pm x4000Bughunter Note Added: 0056829
Apr 13, 2020 8:11 pm NRSirLimbo Note Added: 0056830
Apr 13, 2020 8:16 pm BadgerBadger Note Added: 0056831
Apr 13, 2020 8:42 pm x4000Bughunter Note Added: 0056832
Apr 14, 2020 3:02 am NRSirLimbo Note Added: 0056835
Jun 25, 2020 7:34 pm x4000Bughunter Assigned To => x4000Bughunter
Jun 25, 2020 7:34 pm x4000Bughunter Status new => assigned